## org.omg.IOP
Class ServiceContextListHelper

    java.lang.Object
      |
      +--org.omg.IOP.ServiceContextListHelper

public class ServiceContextListHelper
extends java.lang.Object

Helper class for : ServiceContextList

Author:
  OpenORB Compiler

Constructor Summary
`ServiceContextListHelper()`

Method Summary
`static ServiceContext[]` `extract(Any a)` Extract ServiceContextList from an any
`static java.lang.String` `id()` Return the ServiceContextList IDL ID
`static void` `insert(Any a, ServiceContext[] t)` Insert ServiceContextList into an any
`static ServiceContext[]` `read(InputStream istream)` Read ServiceContextList from a marshalled stream
`static TypeCode` `type()` Return the ServiceContextList TypeCode
`static void` `write(OutputStream ostream, ServiceContext[] value)` Write ServiceContextList into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceContextListHelper

    public ServiceContextListHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ServiceContext[] t)

  Insert ServiceContextList into an any
  Parameters:
    `a` - an any
    `t` - ServiceContextList value

### extract

    public static ServiceContext[] extract(Any a)

  Extract ServiceContextList from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ServiceContextList value

### type

    public static TypeCode type()

  Return the ServiceContextList TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ServiceContextList IDL ID
  Returns:
    an ID

### read

    public static ServiceContext[] read(InputStream istream)

  Read ServiceContextList from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ServiceContextList value

### write

    public static void write(OutputStream ostream,
                             ServiceContext[] value)

  Write ServiceContextList into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ServiceContextList value